Location Suggestions
curl --request GET \
--url https://scrapebadger.com/v1/zillow/autocomplete \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/zillow/autocomplete"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/zillow/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"results": [
{
"display": "<string>",
"region_id": 123,
"region_type": "<string>",
"latitude": 123,
"longitude": 123,
"zpid": "<string>",
"metro_id": 123
}
]
}Search
Location Suggestions
Autocomplete locations (cities, ZIPs, neighborhoods, addresses) for a partial query.
GET
/
v1
/
zillow
/
autocomplete
Location Suggestions
Query Parameters
Partial location to autocomplete — a city, ZIP, address, or neighborhood (e.g.
austi, 9021, travis heights).Response
The query prefix that was autocompleted.
Array of suggestion objects.
Show Suggestion object
Show Suggestion object
Human-readable label, e.g.
Austin, TX (nullable).Zillow region id — pass-through key for a region (nullable).
Suggestion type, e.g.
city, zipcode, neighborhood, county, state (nullable).Center latitude (nullable).
Center longitude (nullable).
Zillow property id — populated when the suggestion is a specific home (nullable).
Metro area id (nullable).
Example Response
{
"query": "austi",
"results": [
{
"display": "Austin, TX",
"region_id": 10221,
"region_type": "city",
"latitude": 30.2672,
"longitude": -97.7431,
"zpid": null,
"metro_id": 394355
}
]
}
Each autocomplete request costs 2 credits. Failed requests are not charged.
⌘I

